package com.lukouguoji.aerologic.page.telegram.list

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityTelegramListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner


class TelegramListActivity :
    BaseBindingActivity<ActivityTelegramListBinding, TelegramListViewModel>() {

    override fun layoutId(): Int {
        return R.layout.activity_telegram_list
    }

    override fun viewModelClass(): Class<TelegramListViewModel> {
        return TelegramListViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("电报管理")
        binding.viewModel = viewModel
        viewModel.pageModel.bindSmartRefreshLayout(
            binding.srl,
            binding.rv,
            viewModel,
            getLifecycleOwner()
        )
        binding.rv.addOnItemClickListener(viewModel)
        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, TelegramListActivity::class.java)
            context.startActivity(starter)
        }
    }
}